Meet in the Middle | 2035. Partition Array Into Two Arrays to Minimize Sum Difference | Day 022

แชร์
ฝัง
  • เผยแพร่เมื่อ 20 ก.ค. 2024
  • In this video, I'll talk about how to solve 2035. Partition Array Into Two Arrays to Minimize Sum Difference | Meet in the Middle | Binary Search | Bit Manipulation | Dynamic Programming
    But Manipulation Playlist - • Complete BIT MANIPULAT...
    Checkout DSA-169 Series: • Aryan DSA-169 Series |...
    100Days 100k Placements: • 100 Days 100K Placement
    Let's Connect:
    📝Linkedin: / aryan-mittal-0077
    📸 Instagram: / ez.pz.dsa
    📱Telegram : t.me/aryan_mittal_group
    🤖 Github: github.com/aryan-0077
    About Me:
    I am Aryan Mittal - A Software Engineer in Goldman Sachs, Speaker, Creator & Educator. During my free time, I create programming education content on this channel & also how to use that to grow :)
    ✨ Timelines✨
    0:00 - Problem Explanation
    2:51 - Dynamic Programming
    9:35 - Meet In the Middle (CSES Problem Set) - From Scratch
    18:13 - Intuition
    21:00 - Explanation + Dry Run + Code Explanation
    ✨ Hashtags ✨
    #programming #Interviews #leetcode #faang #maang #datastructures #algorithms

ความคิดเห็น • 37

  • @himanshubabbar7403
    @himanshubabbar7403 2 หลายเดือนก่อน +9

    was stuck on this problem for 5 hours, didn't know how to optimise it further. Came across this video and Man!!! what an explaination. HATS OFF!!

  • @crazy_shorts743
    @crazy_shorts743 4 หลายเดือนก่อน +12

    dp solution will works if array has only positive elements . but if array has negative numbers . and if we get the total sum is negative then in dp vector creation problem will occur because of this negative total sum and compailer will shows heap-buffer-overflow

  • @user-sg2yb3vu9q
    @user-sg2yb3vu9q 9 วันที่ผ่านมา

    Amazing Explanation Bro....!! Keep it up 👏

  • @codencode5546
    @codencode5546 5 หลายเดือนก่อน +3

    i'm at 15:00 and i feel really interesting problem and explanation is crazy as always. ❤

  • @yashkumar9671
    @yashkumar9671 2 หลายเดือนก่อน +4

    16:45 maqsad mentionedddd.......mat bhoolna

  • @divy04
    @divy04 13 วันที่ผ่านมา +1

    man , what an effort and what an explanation, amazing, first time watched your video and subscribed

  • @ADITYARAJ-yv2tr
    @ADITYARAJ-yv2tr 23 วันที่ผ่านมา +1

    at 6:48 bro remembered his maksad....

  • @PrakulKhurana-sb1dw
    @PrakulKhurana-sb1dw 3 หลายเดือนก่อน +2

    how dp will work partition arrays must always of size n, but we are saying can we generate a given target from subsequence but that may or may not be size n

  • @asthajain2511
    @asthajain2511 5 วันที่ผ่านมา

    Bhaiya I knew that binary search have to be used but ...to form the equation and utilize it to find the remaining elements .....how to build intuition for such problems ?

  • @anshitsrivastava5327
    @anshitsrivastava5327 10 วันที่ผ่านมา

    great explanation

  • @sripatisuryateja1850
    @sripatisuryateja1850 16 วันที่ผ่านมา

    I don't actually comment on videos but after seeing your explanation, I had to!! Amazing explanation bhaiya, your channel deserves more subs and more views!! I really hope you will rock in the future.

  • @ram_kumar609
    @ram_kumar609 หลายเดือนก่อน

    What a explainantion , Great Optimization. Really loved it

  • @satwiktatikonda764
    @satwiktatikonda764 5 หลายเดือนก่อน

    waiting for this one so badly!!

  • @gp7060
    @gp7060 3 หลายเดือนก่อน

    Bestest explanation so far

  • @harshkankariya4423
    @harshkankariya4423 หลายเดือนก่อน

    Really great work you are doing bro , very good and deep explainantion 💥💥

  • @chandrachurmukherjeejucse5816
    @chandrachurmukherjeejucse5816 5 หลายเดือนก่อน

    Great brother.

  • @ritikshandilya7075
    @ritikshandilya7075 หลายเดือนก่อน

    Thanks for amazing explanation

  • @ayushtandon1719
    @ayushtandon1719 หลายเดือนก่อน

    in the for loop(sz=1;....)
    it would be sz

  • @wacky199
    @wacky199 20 วันที่ผ่านมา

    Man!! Good explanation, keep it up.

  • @top_g755
    @top_g755 หลายเดือนก่อน

    Thank you brother 🙏

  • @nikhilprakash729
    @nikhilprakash729 5 หลายเดือนก่อน +2

    Understood Sir😊

  • @vinamrasangal8436
    @vinamrasangal8436 หลายเดือนก่อน

    thanks a lot !!!! 😊😊

  • @beginner9599
    @beginner9599 3 หลายเดือนก่อน

    You own it!!!❤

  • @sarathkumardunga5240
    @sarathkumardunga5240 หลายเดือนก่อน

    Great explanation. I guess the time complexity should be 2^n* nlogn

  • @prakhargarg4166
    @prakhargarg4166 5 หลายเดือนก่อน +1

    take more and more problems daily please

  • @shrshawn
    @shrshawn หลายเดือนก่อน +1

    mfking problem

  • @donabiswas6266
    @donabiswas6266 4 หลายเดือนก่อน +1

    please make your vide short. i

  • @ellagicham
    @ellagicham 4 หลายเดือนก่อน

    It took some time for me to realise part 1 is not the left

  • @ashish3487
    @ashish3487 5 หลายเดือนก่อน +1

    first view

  • @saikeerthanchiluka4027
    @saikeerthanchiluka4027 8 วันที่ผ่านมา

    Question ko ithna complex Kartha is bandha

  • @sakshammisra189
    @sakshammisra189 หลายเดือนก่อน

    bkc yeh kaisa question tha

  • @arjunc1482
    @arjunc1482 หลายเดือนก่อน

    I watched this a unhealthy amount of times and finally understood🥲🥲

  • @sudiptakhotel1204
    @sudiptakhotel1204 2 หลายเดือนก่อน

    great explanation